Skip to main content
GET
/
v1
/
event
/
{eventId}
/
statuses
List session statuses
curl --request GET \
  --url https://public-api.sessionboard.com/v1/event/{eventId}/statuses \
  --header 'x-access-token: <api-key>'
[
  {
    "id": "<string>",
    "name": "<string>",
    "status": "<string>",
    "status_name": "<string>",
    "color": "<string>",
    "order": 123,
    "is_custom": true,
    "created_at": "<string>",
    "created_by_user_id": 123,
    "created_by_user_name": "<string>"
  }
]

Authorizations

x-access-token
string
header
required

Organization API token. Generate from Organization Settings → API Tokens.

Path Parameters

eventId
integer
required

The event ID.

Response

OK

id
string
name
string
status
string | null
status_name
string | null
color
string
order
integer
is_custom
boolean
created_at
string | null
created_by_user_id
integer | null
created_by_user_name
string | null